Subject: Re: bug#49460: links not clickable in some qt programs (nheko, quaternion)

From: Giovanni Biscuolo <[email-masked]>
Date: Fri, 23 Jul 2021 12:30:03 +0200

Hello,

I've an update about this bug

Giovanni Biscuolo <[email-masked]> writes:

[...]

> I'm running Guix on top of Debian 10, this version:
>
> Generation 122  lug 08 2021 13:31:51    (current)
>   guix 94f772d
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 94f772dad8cb1064d0e8cf11285ad9963ba00224

[...]

> I have recently installed both nheko and quaternion and links are
> clickable there (and are opened in my browser)

I really don't understand what changed, maybe I just updated my
environment by logging out and then in again (aka: nheko and quaternion
was using /usr/bin/xdg-open installed by Debian), but now I also have
this problem with nheko and quaternion

In nheko I get:

--8<---------------cut here---------------start------------->8---

[2021-07-23 12:06:06.924] [qml] [warning] Launch failed (/gnu/store/bi4m86lripz4fhhi4c34ylg5ckxsrqzs-xdg-utils-1.1.3/bin/xdg-open https://orgmode.org/manual/iCalendar-Export.html) (:0, )

--8<---------------cut here---------------end--------------->8---

Similar message in quaternion:

--8<---------------cut here---------------start------------->8---

Launch failed (/gnu/store/bi4m86lripz4fhhi4c34ylg5ckxsrqzs-xdg-utils-1.1.3/bin/xdg-open https://github.com/hedgedoc/hedgedoc/pull/1463)

--8<---------------cut here---------------end--------------->8---

I don't have the referenced store item:

--8<---------------cut here---------------start------------->8---

$ LC_ALL=C ls /gnu/store/bi4m86lripz4fhhi4c34ylg5ckxsrqzs-xdg-utils-1.1.3/
ls: cannot access '/gnu/store/bi4m86lripz4fhhi4c34ylg5ckxsrqzs-xdg-utils-1.1.3/': No such file or directory

--8<---------------cut here---------------end--------------->8---

AFAIU this is a bug.

Maybe adding xdg-utils to the inputs of nheko and quaternion solves this
issue?

Thanks! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures